[arch-commits] Commit in (4 files)

Felix Yan felixonmars at archlinux.org
Thu Nov 30 05:07:52 UTC 2017


    Date: Thursday, November 30, 2017 @ 05:07:52
  Author: felixonmars
Revision: 270793

addpkg: python-ibm-db-sa 0.3.3-1

Added:
  python-ibm-db-sa/
  python-ibm-db-sa/repos/
  python-ibm-db-sa/trunk/
  python-ibm-db-sa/trunk/PKGBUILD

----------+
 PKGBUILD |   51 +++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 51 insertions(+)

Added: python-ibm-db-sa/trunk/PKGBUILD
===================================================================
--- python-ibm-db-sa/trunk/PKGBUILD	                        (rev 0)
+++ python-ibm-db-sa/trunk/PKGBUILD	2017-11-30 05:07:52 UTC (rev 270793)
@@ -0,0 +1,51 @@
+# $Id$
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor: Simon Sapin <simon dot sapin at exyr dot org>
+# Contributor: Kyle Keen <keenerd at gmail.com>
+
+pkgbase=python-ibm-db-sa
+pkgname=(python-ibm-db-sa python2-ibm-db-sa)
+pkgver=0.3.3
+pkgrel=1
+pkgdesc="SQLAlchemy support for IBM Data Servers"
+url="https://pypi.python.org/pypi/ibm_db_sa"
+license=('Apache')
+arch=('any')
+makedepends=('python-setuptools' 'python2-setuptools' 'python-sqlalchemy' 'python2-sqlalchemy')
+checkdepends=('python-nose' 'python2-nose')
+source=("https://pypi.io/packages/source/i/ibm_db_sa/ibm_db_sa-$pkgver.tar.gz")
+sha512sums=('4b446235c4e43f9322efc4673af53aa70bc3177e72b401a26aaebd12f71db8c188bcbca6eac69c0bf1523cc0805210393ead89990d537d478a679f33d24e7587')
+
+prepare() {
+  cp -a ibm_db_sa{,-py2}
+}
+
+build() {
+  cd "$srcdir"/ibm_db_sa
+  python setup.py build
+
+  cd "$srcdir"/ibm_db_sa-py2
+  python2 setup.py build
+}
+
+check() {
+  cd "$srcdir"/ibm_db_sa
+  nosetests3 || warning "Tests failed"
+
+  cd "$srcdir"/ibm_db_sa-py2
+  nosetests2 || warning "Tests failed"
+}
+
+package_python-ibm-db-sa() {
+  depends=('python-sqlalchemy')
+
+  cd ibm_db_sa
+  python3 setup.py install --root="$pkgdir" --optimize=1
+}
+
+package_python2-ibm-db-sa() {
+  depends=('python2-sqlalchemy')
+
+  cd ibm_db_sa-py2
+  python2 setup.py install --root="$pkgdir" --optimize=1
+}


Property changes on: python-ibm-db-sa/trunk/PKGBUILD
___________________________________________________________________
Added: svn:keywords
## -0,0 +1 ##
+Id
\ No newline at end of property


More information about the arch-commits mailing list